
import { defineStore } from 'pinia';
import {UserInfo} from "#/store";
import {getAuthCache} from "@/utils/auth";
import {USER_INFO_KEY} from "@/enums/cacheEnum";

export const useFilterStore = defineStore('filter', {
  state: () => ({
    searchParams: {

    },
  }),
  getters: {
    getSearchParams(state): any {
      return state.searchParams ;
    },
  },
  actions: {
    setSearchParams(config: any) {
      if (!config || typeof config !== 'object') { return }
      if (!config.path) { return }
      if (config.param && typeof config.param === 'object' && Object.keys(config.param).length > 0) {
        this.searchParams[config.path] = JSON.stringify(config.param)
        console.log('this.searchParams',this.searchParams)
      }
    },
  },
});
